- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1116a4db-badd-45a2-b739-b514b19e0cf0
    creation_time: 2023-02-17T13:39:23.078239Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: p * s - r * q == 1 && a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 64c77a51-38f7-4a61-b8c6-007d2890702c
    creation_time: 2023-02-17T13:39:23.078626Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 1 == p * s - r * q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5667f6b8-a4c1-40a3-b2a6-2847e9a75cd5
    creation_time: 2023-02-17T13:39:23.078739Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 37
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ea506949-2d51-481e-a0eb-62a8cce81b14
    creation_time: 2023-02-17T13:39:23.078836Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: cc69c834-a9ee-4ec0-b237-6f92c16e237e
    creation_time: 2023-02-17T13:39:23.078926Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 54
    column: 0
    function: main
  location_invariant:
    string: a - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bffc2bb8-5ef6-4fe5-b6e6-b25e605d8950
    creation_time: 2023-02-17T13:39:23.079010Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 55
    column: 0
    function: main
  location_invariant:
    string: p*x + r*y - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f598dbac-d132-4045-83bb-d78c9f9ca5e7
    creation_time: 2023-02-17T13:39:23.079093Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 56
    column: 0
    function: main
  location_invariant:
    string: q*r - p*s + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e3e98d64-5e94-47e7-a417-c02c0808b70f
    creation_time: 2023-02-17T13:39:23.079172Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound50.c: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound50.c
    file_hash: 3134c54bcf8aadaf562f6870f2277db1ec6f958b1ed6dba99e7410745dba79ba
    line: 57
    column: 0
    function: main
  location_invariant:
    string: q*x + s*y - b == 0
    type: assertion
    format: C

